Layer selection of another algorithm in the Qgis Select algorithm by localization for comparing

2018-03-28 05:27 PM - Thomas Ailhaud

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Modeller

Affected QGIS version:3.0.0 Regression?: Yes

Operating System: Window 10 Pro 64 Bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 26455

Description

i want creat a new modeler for select features in Buffer.

In Processing modeler for Qgis 3.0.0 i don't have a layer for comparing list. (join the picture)

I was test in 2.99 and i had a same problem.

This modeler was work in QGIS 2.18.17.

History

#1 - 2018-03-28 09:35 PM - Nyall Dawson

- Resolution set to invalid

- Status changed from Open to Closed

Use "extract by location" here, not "select by location".

#2 - 2018-03-29 09:13 AM - Thomas Ailhaud

- Status changed from Closed to Reopened

- File 2018-03-29 08_49_06-Carte-generale - QGIS.png added

I test 'extract by localisation' and i had the same problem. 

And modeling does not do the action I want.

My problem is 'Beffered' is not a choise for 'comparing list'.

I take a new photo.

i want creat a new modeler for select features included in Buffer.

#3 - 2018-03-30 09:41 AM - Thomas Ailhaud

- File selection_selon_distance.model added

I join my first modeler for QGIS 2.18.17.
#4 - 2018-05-25 08:36 AM - Thomas Ailhaud

- Status changed from Reopened to Closed

this problem is resolved in 3.0.3.

Files

2018-03-28 16_54_12-QGIS-3.0.0.png 87 KB 2018-03-28 Thomas Ailhaud

2018-03-28 17_07_58-QGIS 2.18.17.png 75.1 KB 2018-03-28 Thomas Ailhaud

2018-03-29 08_49_06-Carte-generale - QGIS.png 103 KB 2018-03-29 Thomas Ailhaud

selection_selon_distance.model 6.59 KB 2018-03-30 Thomas Ailhaud
